edu.isi.pegasus.planner.dax.examples

## Class Diamond

- java.lang.Object
- - edu.isi.pegasus.planner.dax.examples.Diamond

    public class Diamond
    extends java.lang.Object

An example class to highlight how to use the JAVA DAX API to generate a diamond DAX.

Author:
  Gaurang Mehta, Karan Vahi

### Constructor Summary

Constructors
Constructor and Description
`Diamond()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ADAG` `generate(java.lang.String site_handle, java.lang.String pegasus_location)`
`static void` `main(java.lang.String[] args)` Create an example DIAMOND DAX

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Diamond

    public Diamond()

### Method Detail

#### generate

    public ADAG generate(java.lang.String site_handle,
                         java.lang.String pegasus_location)
                  throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### main

    public static void main(java.lang.String[] args)

Create an example DIAMOND DAX

Parameters:
  `args` -